summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2008-03-19 09:27:28 +0000
committerMarkus Ullmann <jokey@gentoo.org>2008-03-19 09:27:28 +0000
commita322f9ab2001141bbfd88c3295896a5c5fa90cb5 (patch)
tree119a7b51e77ab1d8ae23d50b77722bcc543d72bd
parentversion bump, thanks to Sergey Dryabzhinsky <sergey.dryabzhinsky@gmail.com> f... (diff)
downloadhistorical-a322f9ab2001141bbfd88c3295896a5c5fa90cb5.tar.gz
historical-a322f9ab2001141bbfd88c3295896a5c5fa90cb5.tar.bz2
historical-a322f9ab2001141bbfd88c3295896a5c5fa90cb5.zip
PEAR-PEAR 1.7.x fixes from project overlay
-rw-r--r--eclass/php-pear-lib-r1.eclass28
-rw-r--r--eclass/php-pear-r1.eclass24
2 files changed, 43 insertions, 9 deletions
diff --git a/eclass/php-pear-lib-r1.eclass b/eclass/php-pear-lib-r1.eclass
index a98c9b8046c3..ef67fd1ef4b2 100644
--- a/eclass/php-pear-lib-r1.eclass
+++ b/eclass/php-pear-lib-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.13 2008/02/11 20:47:35 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.14 2008/03/19 09:27:28 jokey Exp $
#
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -44,10 +44,30 @@ php-pear-lib-r1_src_install() {
esac
cd "${S}"
- mv -f "${WORKDIR}/package.xml" "${S}"
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package.xml" || die "Unable to install PEAR package"
+ if [[ -f "${WORKDIR}"/package2.xml ]] ; then
+ mv -f "${WORKDIR}/package2.xml" "${S}"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ fi
+ else
+ mv -f "${WORKDIR}/package.xml" "${S}"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ fi
+ fi
rm -Rf "${D}/usr/share/php/.channels" \
"${D}/usr/share/php/.depdblock" \
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
index 49f017dacbb8..1dfc4ed190e5 100644
--- a/eclass/php-pear-r1.eclass
+++ b/eclass/php-pear-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.20 2008/02/11 20:47:35 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.21 2008/03/19 09:27:28 jokey Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -74,12 +74,26 @@ php-pear-r1_src_install() {
if [[ -f "${WORKDIR}"/package2.xml ]] ; then
mv -f "${WORKDIR}/package2.xml" "${S}"
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package2.xml" || die "Unable to install PEAR package"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package2.xml" || die "Unable to install PEAR package"
+ fi
else
mv -f "${WORKDIR}/package.xml" "${S}"
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
- "${S}/package.xml" || die "Unable to install PEAR package"
+ if has_version '>=dev-php/PEAR-PEAR-1.7.0' ; then
+ local WWW_DIR="/usr/share/webapps/${PN}/${PVR}/htdocs"
+ pear -d php_bin="${PHP_BIN}" -d www_dir="${WWW_DIR}" \
+ install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
+ fi
fi
rm -Rf "${D}/usr/share/php/.channels" \